Package ru.bitel.bgbilling.modules.bill.server.bean

# Class TemplateBill

java.lang.Object
ru.bitel.common.model.ContractId
ru.bitel.bgbilling.modules.bill.server.bean.TemplateBill

All Implemented Interfaces:
  `ContractIdable`

public class TemplateBill extends ContractId

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TemplateBill()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContractComment()`
  `int`
  `getContractDocTypeId()`
  `String`
  `getContractTitle()`
  `int`
  `getDocTypeId()`
  `String`
  `getDocTypeTitle()`
  `List<PositionValue>`
  `getPositionList()`
  `List<TemplateBill>`
  `getSubBillList()`
  `TemplateBill`
  `setContractComment(String contractComment)`
  `TemplateBill`
  `setContractDocTypeId(int value)`
  `TemplateBill`
  `setContractId(int contractId)`
  `TemplateBill`
  `setContractTitle(String title)`
  `TemplateBill`
  `setDocTypeId(int docTypeId)`
  `TemplateBill`
  `setDocTypeTitle(String docTypeTitle)`
  `TemplateBill`
  `setPositionList(List<PositionValue> positionList)`
  `TemplateBill`
  `setSubBillList(List<TemplateBill> subBillList)`

  ### Methods inherited from class ru.bitel.common.model.ContractId

  `getContractId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TemplateBill

    public TemplateBill()

- ## Method Details

  - ### getPositionList

    public List<PositionValue> getPositionList()

  - ### setPositionList

    public TemplateBill setPositionList(List<PositionValue> positionList)

  - ### getContractDocTypeId

    public int getContractDocTypeId()

  - ### setContractDocTypeId

    public TemplateBill setContractDocTypeId(int value)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public TemplateBill setContractTitle(String title)

  - ### setContractId

    public TemplateBill setContractId(int contractId)
    Overrides:
      `setContractId` in class `ContractId`

  - ### getDocTypeId

    public int getDocTypeId()

  - ### setDocTypeId

    public TemplateBill setDocTypeId(int docTypeId)

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public TemplateBill setContractComment(String contractComment)

  - ### getSubBillList

    public List<TemplateBill> getSubBillList()

  - ### setSubBillList

    public TemplateBill setSubBillList(List<TemplateBill> subBillList)

  - ### getDocTypeTitle

    public String getDocTypeTitle()

  - ### setDocTypeTitle

    public TemplateBill setDocTypeTitle(String docTypeTitle)